Limerence
Runs

Cancel Agent Chat Stream

Cancel an active chat stream

POST
/runs/{agentId}/chats/{chatId}/streams/{streamId}/cancel

Cancel an active chat stream

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

agentId*string
chatId*string
streamId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/runs/string/chats/string/streams/string/cancel"
{  "cancelRequestedAt": null,  "error": null,  "finishedAt": null,  "startedAt": null,  "status": "queued"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "chat/session-not-found",    "detail": "string"  },  "message": "Chat session not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}